Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vordel.circuit
Class FilterContainer

    java.lang.Object
      com.vordel.circuit.FilterContainer

Direct Known Subclasses:
  MessageProcessor

    public abstract class FilterContainer

extends java.lang.Object

Wraps a basic Filter object to provide templatable domain specific functionality in circuits. (eg, Server-side processing by MessageProcessor)

Constructor Summary
`protected` | `FilterContainer()`

Method Summary
`void` | `configureFilter(FilterConfigureContext ctx, Entity entity)`
`static FilterContainer` | `createFilterContainer(java.lang.Class<? extends FilterContainer> clazz, Filter filter, ESPK circuitPK)`
`void` | `filterAttached(FilterConfigureContext ctx, Entity entity)` Called on a filter's container when the filter is configured.
`void` | `filterDetached()`
`Filter` | `getFilter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterContainer

    protected FilterContainer()

Method Detail

### createFilterContainer

    public static FilterContainer createFilterContainer(java.lang.Class<? extends FilterContainer> clazz,
                                                        Filter filter,
                                                        ESPK circuitPK)
                                                 throws java.lang.InstantiationException,
                                                        java.lang.IllegalAccessException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### getFilter

    public Filter getFilter()

### configureFilter

    public final void configureFilter(FilterConfigureContext ctx,
                                      Entity entity)
                               throws EntityStoreException

  Throws:
    `EntityStoreException`

### filterAttached

    public void filterAttached(FilterConfigureContext ctx,
                               Entity entity)
                        throws EntityStoreException

  Called on a filter's container when the filter is configured. Any domain-specific initialisation of the filter container can be done at this point. This will be called at least once when the filter attaches.

  Parameters:
    `ctx` - configuration context for the filter attached to this container.
  Throws:
    `EntityStoreException`

### filterDetached

    public void filterDetached()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Vordel SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation and all its contents and graphics, copyright © 1999 - 2011 Vordel